<?xml version="1.0" encoding="utf-8"?>

<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android">

    <PreferenceCategory 
		android:title="Message Category"
		android:key="message_category">

	    <CheckBoxPreference 
			android:key="perform_Initial_Messages"
			android:summary="Enable or disable initial message"
			android:title="Enable Welcome message" 
			android:defaultValue="true"
		/>
	    
		<EditTextPreference
			android:key="welcome_message"
			android:title="Welcome Message" 
			android:summary="Define the Welcome message to be shown"
			android:dialogTitle="Welcome Message"
			android:dialogMessage="Provide a message"	
			android:defaultValue="@string/welcome"
			android:dependency="perform_Initial_Messages" />
		
		<CheckBoxPreference 
			android:key="perform_Tutorial_Messages"
			android:summary="Enable or disable Tutorial message"
			android:title="Enable Tutorial" 
			android:defaultValue="true"
		/>
		
		<CheckBoxPreference 
			android:key="haptic_Messages"
			android:summary="Enable or disable haptic message"
			android:title="Haptic message" 
			android:defaultValue="true"
		/>
		
		<CheckBoxPreference 
			android:key="Debug_start"
			android:summary="Enable debug application at program start"
			android:title="Debug function" 
			android:defaultValue="false"
		/>
		
		<CheckBoxPreference 
			android:key="Debug_ProcessShowImage"
			android:summary="Enable Show process Image on debug"
			android:title="Show Process Image" 
			android:defaultValue="false"
		/>

	</PreferenceCategory>
	
    
    <PreferenceCategory 
		android:title="Process Image Category"
		android:key="Process_image_category">
		
        <ListPreference 
			android:key="mTypeFunction"
			android:title="Count or Recognize Coins" 
			android:summary="Choose: Count or Recognize Coins"
			android:defaultValue="1"
			android:entries="@array/IntervalTipusAnalisis"
			android:entryValues="@array/IntervalTipusAnalisisValors"
		/>
        <ListPreference 
			android:key="Type_ContourRecognize"
			android:title="Method Process Selection"
			android:summary="Defines the method of image process"
			android:defaultValue="1" 
			android:entries="@array/IntervalTipusProcessat"
			android:entryValues="@array/IntervalTipusProcessatValors"
		/>
        
		<CheckBoxPreference 
			android:key="uses_torch"
			android:summary="Enable or disable Torch on Coins Recognize"
			android:title="Enable Torch on Coins Recognize" 
			android:defaultValue="false"
		/>
		
			
	</PreferenceCategory>
    
	<PreferenceCategory 
		android:title="Update Category"
		android:key="update_category">
		
		<CheckBoxPreference 
			android:key="perform_updates"
			android:summary="Enable or disable data updates"
			android:title="Enable updates" 
			android:defaultValue="true"
		/>
		
		<ListPreference 
			android:key="updates_interval"
			android:title="Updates interval"
			android:summary="Define how often updates will be performed"
			android:defaultValue="1000" 
			android:entries="@array/IntervalActualitzacio"
			android:entryValues="@array/IntervalActualitzacioValors"
			android:dependency="perform_updates"
		/>	
			
	</PreferenceCategory>

	
	
</PreferenceScreen>
